from LoaderClass import GasSensorDataLoader
from TrainerClass import eNoseTrainer

import warnings
warnings.filterwarnings("ignore")

source_channels=["MQ 8", "MQ 9", "MQ 135", "TGS 813", "TGS 821", "TGS 2600", "TGS 2602", "TGS 2611-0", "TGS 2612", "TGS 2620"]
#target_variables=['C2H2', 'CH4', 'C3H6', 'CO', 'C2H6', 'C3H8', 'C2H4', 'H2', 'O2']

target_variables=['C2H2']
eNoseLoaderC2H2 = GasSensorDataLoader("enose_dataset", threshold=0.85, source_channels=source_channels, target_list=target_variables, debug=False)
eNoseC2H2 = eNoseTrainer(eNoseLoaderC2H2, test_size=0.2, debug=True)
eNoseC2H2.fit()

target_variables=['CH4']
eNoseLoaderCH4 = GasSensorDataLoader("enose_dataset", threshold=0.85, source_channels=source_channels, target_list=target_variables, debug=False)
eNoseCH4 = eNoseTrainer(eNoseLoaderCH4, test_size=0.2, debug=True)
eNoseCH4.fit()

target_variables=['C3H6']
eNoseLoaderC3H6 = GasSensorDataLoader("enose_dataset", threshold=0.85, source_channels=source_channels, target_list=target_variables, debug=False)
eNoseC3H6 = eNoseTrainer(eNoseLoaderC3H6, test_size=0.2, debug=True)
eNoseC3H6.fit()


target_variables=['C2H6']
eNoseLoaderC2H6 = GasSensorDataLoader("enose_dataset", threshold=0.85, source_channels=source_channels, target_list=target_variables, debug=False)
eNoseC2H6 = eNoseTrainer(eNoseLoaderC2H6, test_size=0.2, debug=True)
eNoseC2H6.fit()


target_variables=['H2']
eNoseLoaderH2 = GasSensorDataLoader("enose_dataset", threshold=0.85, source_channels=source_channels, target_list=target_variables, debug=False)
eNoseH2 = eNoseTrainer(eNoseLoaderH2, test_size=0.2, debug=True)
eNoseH2.fit()



#eNose.wrap_and_save()
